
#ifndef _KMATHAREAPERIMETERPART_H_
#define _KMATHAREAPERIMETERPART_H_

#include <kparts/part.h>
#include <kparts/factory.h>

class QWidget;
class QPainter;
class KURL;

class AreaPerimeter1;

/**
 * @author Trenton Carr <trentoncarr@telkomsa.net>
 * @version 0.3
 */
class KMathAreaPerimeterPart : public KParts::ReadOnlyPart
{
    Q_OBJECT
public:

    KMathAreaPerimeterPart(QWidget *parentWidget, const char *widgetName,
                    QObject *parent, const char *name);

    virtual ~KMathAreaPerimeterPart();

protected:

    virtual bool openFile();

private:
    AreaPerimeter1 *m_widget;
};

class KInstance;
class KAboutData;

class KMathAreaPerimeterPartFactory : public KParts::Factory
{
    Q_OBJECT
public:
    KMathAreaPerimeterPartFactory();
    virtual ~KMathAreaPerimeterPartFactory();
    virtual KParts::Part* createPartObject( QWidget *parentWidget, const char *widgetName,
                                            QObject *parent, const char *name,
                                            const char *classname, const QStringList &args );
    static KInstance* instance();
 
private:
    static KInstance* s_instance;
    static KAboutData* s_about;
};

#endif // _KMATHAREAPERIMETERPART_H_
