/***************************************************************************
 *   Copyright (C) 2004 by Trenton Carr                                    *
 *   trentoncarr@telkomsa.net                                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
#ifndef DEG_THETA_H
#define DEG_THETA_H

#include <qwidget.h>


class Deg_Theta : public QWidget
{
    Q_OBJECT
public:
    Deg_Theta( QWidget *parent=0, const char *name=0 );

    double angle() const { return ang; }

public slots:
    void setAngle( double degrees );

signals:
    void angleChanged( double );

private:
    double ang;
};


#endif // DEG_THETA_H
