/***************************************************************************
 *   Copyright (C) 2004 by Trenton Carr                                    *
 *   trentoncarr@mweb.co.za                                                *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef STARTWIDGETVIEW_H
#define STARTWIDGETVIEW_H

#include "StartWidgetD.h"

class QTabWidget;
class QWidget;

#include <kparts/part.h>


class StartWidgetView : public StartWidgetD
{
  Q_OBJECT

public:
  StartWidgetView(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~StartWidgetView();

private:
  KParts::ReadOnlyPart *m_kmarea;
  KParts::ReadOnlyPart *m_kmfactor;
  KParts::ReadOnlyPart *m_kmline;
  KParts::ReadOnlyPart *m_kmparabola;
  KParts::ReadOnlyPart *m_kmvistrig;
  
  QWidget *m_parea;
  QWidget *m_pfactor;
  QWidget *m_pline;
  QWidget *m_pparabola;
  QWidget *m_pvistrig;
};

#endif

